Bug 93840 - flickering drop-down list in the sidebar
Summary: flickering drop-down list in the sidebar
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
5.1.0.0.alpha0+ Master
Hardware: Other Windows (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Flickering-UI
  Show dependency treegraph
 
Reported: 2015-09-01 15:06 UTC by Roman Kuznetsov
Modified: 2019-06-18 15:51 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Kuznetsov 2015-09-01 15:06:12 UTC
Version: 5.1.0.0.alpha1+ (32-bit)
Build ID: ca77ec422ea617c84400370b082e71437e4590cc
TinderBox: Win-x86@39, Branch:master, Time: 2015-08-31_13:54:42
Locale: ru-RU (ru_RU)
Windows 7 HB x86-64

1. Create new Draw document
2. Draw any shape (example, square)
3. in sidebar select Properties-Area
4. select type fill - gradient (or Hatching or Bitmap)
5. select any drop-down list
6. move the mouse on the list
7. list is flickering

in section Shadow below, drop-down list Color also flickers
Comment 1 Buovjaga 2015-09-04 08:45:03 UTC
Confirmed.

Also, with Fill - Color, the palette scrollbar flickers when moving the mouse over the colors

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: b3de73f32af6276a60f5678861c461631a75e743
TinderBox: Win-x86@39, Branch:master, Time: 2015-09-01_06:18:16
Locale: en-US (fi_FI)
Comment 2 Roman Kuznetsov 2015-09-04 19:22:36 UTC
this bug is NOT minor! user looking in GUI! the user does not need a flickering interface! your eyes is much more important to the user of a program.

ps: If you add new features, so to finish it to working condition
Comment 3 Buovjaga 2015-09-05 07:40:20 UTC
Bug is minor by our rating system, though: https://wiki.documentfoundation.org/images/0/06/Prioritizing_Bugs_Flowchart.jpg
Comment 4 Katarina Behrens (Inactive) 2015-09-11 12:05:28 UTC
Anyone reproduces this also on Linux? 

Ideally with different plugins (kde, gtk, gtk3) and different DEs (KDE, GNOME, XFCE,...)
Comment 5 Buovjaga 2015-09-12 16:31:54 UTC
Confirmed.

Manjaro Linux KDE Plasma 5, 64-bit
Version: 5.0.1.2.0+
Build ID: 5.0.1.2 Arch Linux build-1
Locale: fi-FI (fi_FI.UTF-8)
Comment 6 Roman Kuznetsov 2015-09-12 20:43:18 UTC
(In reply to Beluga from comment #5)
> Confirmed.
> 
> Manjaro Linux KDE Plasma 5, 64-bit
> Version: 5.0.1.2.0+
> Build ID: 5.0.1.2 Arch Linux build-1
> Locale: fi-FI (fi_FI.UTF-8)

this error speech about new features sidebar in LO 5.1. 

ps: rumored to KDE bad in itself =)
Comment 7 Roman Kuznetsov 2015-09-13 18:12:41 UTC
select option "Use OpenGL for all rendering" in menu Tools - Options - LibreOfficeDev - View -> no flickering list in sidebar!
Comment 8 Roman Kuznetsov 2015-09-18 21:23:38 UTC
(In reply to kompilainenn from comment #7)
> select option "Use OpenGL for all rendering" in menu Tools - Options -
> LibreOfficeDev - View -> no flickering list in sidebar!

only for Windows
Comment 9 Roman Kuznetsov 2015-09-18 21:25:08 UTC
on Ubuntu 15.10 beta-1 (build 18.09.2015), LO 5.0.1.2 with GTK3

list color of gradient is flickering
Comment 10 QA Administrators 2016-09-20 10:32:29 UTC Comment hidden (obsolete)
Comment 11 Roman Kuznetsov 2016-09-20 16:48:26 UTC
repro in LO 5.2.1
Comment 12 Telesto 2017-06-29 10:37:03 UTC
Confirming with:
Version: 6.0.0.0.alpha0+
Build ID: 9f3814af7264ce90685a82cbf4eb015a38f22bf7
CPU threads: 4; OS: Windows 6.19; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-06-28_00:47:42
Locale: nl-NL (nl_NL); Calc: CL

but for some reason not with
Version: 5.3.0.0.beta2+
Build ID: f4b7650ecd46e5404b35dccfb8b7d3b0a385d633
CPU Threads: 4; OS Version: Windows 6.2; UI Render: default; Layout Engine: new; 
TinderBox: Win-x86@62-merge-TDF, Branch:libreoffice-5-3, Time: 2016-12-16_12:19:09
Locale: nl-NL (nl_NL); Calc: CL

and not with
Version: 5.3.0.0.alpha1
Build ID: f4ca1573fcf445164c068c1046ab5d084e1b005f
CPU Threads: 4; OS Version: Windows 6.2; UI Render: default; 
Locale: nl-NL (nl_NL); Calc: CL
Comment 13 Roman Kuznetsov 2018-04-27 19:45:09 UTC
do not repro in LO 6.1 alpha 1

Версия: 6.1.0.0.alpha1
ID сборки: cb47f0d320994e001bc38dc2ee9b7d957b15e6ab
Потоков ЦП: 4; ОС:Linux 4.13; Отрисовка ИП: по умолчанию; VCL: gtk2; 
Локаль: ru-RU (ru_RU.UTF-8); Calc: group

Xubuntu 17.10, video Intel HD 3000
Comment 14 Buovjaga 2018-04-28 04:50:51 UTC
I confirm the flickering is gone in the places of the original report. Yet, if you enable Shadow and hover in the Distance list, it does flicker (it is quite a long list). The flickering is only noticed on Windows, not Linux and it is not very bad.

Should we keep this open?

Arch Linux 64-bit
Version: 6.1.0.0.alpha1+
Build ID: 632bc11ce8fab1c4046ab24810b90a7ce9ac5914
CPU threads: 8; OS: Linux 4.16; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on April 27th 2018

Version: 6.1.0.0.alpha1 (x64)
Build ID: cb47f0d320994e001bc38dc2ee9b7d957b15e6ab
CPU threads: 4; OS: Windows 10.0; UI render: default; 
Locale: fi-FI (fi_FI); Calc: group
Comment 15 QA Administrators 2019-04-29 02:40:54 UTC Comment hidden (obsolete)
Comment 16 Roman Kuznetsov 2019-04-29 05:55:35 UTC
still repro in

Version: 6.3.0.0.alpha0+
Build ID: 951282a27a9dd4c64fc206fcbdd805b4cb602816
CPU threads: 4; OS: Windows 6.1; UI render: default; VCL: win; 
Locale: ru-RU (ru_RU); UI-Language: en-US
Calc: threaded

video Intel HD3000, Windows 7

Hatching drop-down list is still flickers
Comment 17 Telesto 2019-05-22 19:09:02 UTC
Repro commont 0
Version: 6.3.0.0.alpha1+
Build ID: 959e8ae7ea33ce94dd80ee8ea172b6db64593873
CPU threads: 4; OS: Windows 6.3; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2019-05-21_23:35:12
Locale: nl-NL (nl_NL); UI-Language: en-US
Calc: CL

Expanding the fill color picker and hoovering the different items is also flickering
Comment 18 Telesto 2019-05-22 19:14:54 UTC
@Miklos 
You're commits one avoiding flickering are really appreciated. This is probably another case. Especially comment 1 is quite annoying
Comment 19 V Stuart Foote 2019-06-18 14:37:47 UTC
Miklos' work on bug 101978 has fixed this as well (STR and Shadow of comment 14)

https://gerrit.libreoffice.org/#/c/74176/

=-testing-=
Windows 10 Home 64-bit en-US (1809) with
Version: 6.4.0.0.alpha0+ (x86)
Build ID: 99971d009e9c96d1d47aec14ecfbfeaa06dc140d
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2019-06-18_03:59:27
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded
Comment 20 Roman Kuznetsov 2019-06-18 15:05:02 UTC
verified for drop-down list only in

Version: 6.4.0.0.alpha0+ (x86)
Build ID: 99971d009e9c96d1d47aec14ecfbfeaa06dc140d
CPU threads: 4; OS: Windows 6.1; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2019-06-18_03:59:27
Locale: ru-RU (ru_RU); UI-Language: en-US
Calc: threaded

but drop-down color pick widget on Sidebar still flickers. I'll create a new bug-report
Comment 21 V Stuart Foote 2019-06-18 15:24:28 UTC
(In reply to Roman Kuznetsov from comment #20)

bug 125989
Comment 22 V Stuart Foote 2019-06-18 15:51:51 UTC
(In reply to Roman Kuznetsov from comment #20)

> but drop-down color pick widget on Sidebar still flickers. I'll create a new
> bug-report

Worth noting that for the Color picker--the listbox text for selecting the palette no longer flickers, and it is 'just' the widget frame holding the graphic color swatches that still flickers--but maybe seems even more intense recent builds.